netatalk: DSI Struct Reference

netatalk 4.5.1
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
DSI Struct Reference

`#include <dsi.h>`

## Data Fields
struct DSI * | next
AFPObj * | AFPobj
int | statuslen
char | status [1400]
char * | signature
struct dsi_block | header
struct sockaddr_storage server | client
struct itimerval | timer
int | tickle
int | in_write
int | msg_request
int | down_request
uint32_t | attn_quantum
uint32_t | datasize
uint32_t | server_quantum
uint16_t | serverID
uint16_t | clientID
uint8_t * | commands
uint8_t | data [DSI_DATASIZ]
size_t | datalen
size_t | cmdlen
off_t | read_count
off_t | write_count
uint32_t | flags
int | socket
int | serversock
size_t | dsireadbuf
char * | buffer
char * | start
char * | eof
char * | end
pid_t(* | proto_open )(struct DSI *)
void(* | proto_close )(struct DSI *)
struct sockaddr_in server | client
sigset_t | sigblockset
struct itimerval timer | savetimer
uint8_t * | status
uint8_t | commands [DSI_CMDSIZ]
size_t | read_count
size_t | write_count
int | asleep
char | child
char | inited
char | noreply
const char * | program

## Field Documentation

## ◆ AFPobj

AFPObj* DSI::AFPobj

## ◆ asleep

int DSI::asleep

client won't reply AFP 0x7a ?

## ◆ attn_quantum

uint32_t DSI::attn_quantum

## ◆ buffer

char* DSI::buffer

buffer start

## ◆ child

char DSI::child

## ◆ client [1/2]

struct sockaddr_storage server DSI::client

## ◆ client [2/2]

struct sockaddr_in server DSI::client

## ◆ clientID

uint16_t DSI::clientID

## ◆ cmdlen

size_t DSI::cmdlen

## ◆ commands [1/2]

uint8_t* DSI::commands

DSI recieve buffer

## ◆ commands [2/2]

uint8_t DSI::commands[DSI_CMDSIZ]

## ◆ data

uint8_t DSI::data

DSI reply buffer

## ◆ datalen

size_t DSI::datalen

## ◆ datasize

uint32_t DSI::datasize

## ◆ down_request

int DSI::down_request

pending SIGUSR1 down in 5 mn

## ◆ dsireadbuf

size_t DSI::dsireadbuf

size of the DSI readahead buffer used in dsi_peek()

## ◆ end

char* DSI::end

## ◆ eof

char* DSI::eof

end of currently used buffer

## ◆ flags

uint32_t DSI::flags

DSI flags like DSI_SLEEPING, DSI_DISCONNECTED

## ◆ header

struct dsi_block DSI::header

## ◆ in_write

int DSI::in_write

in the middle of writing multiple packets, signal handlers can't write to the socket

## ◆ inited

char DSI::inited

## ◆ msg_request

int DSI::msg_request

pending message to the client

## ◆ next

struct DSI* DSI::next

multiple listening addresses

## ◆ noreply

char DSI::noreply

## ◆ program

const char* DSI::program

## ◆ proto_close

void(* DSI::proto_close)(struct DSI *)

## ◆ proto_open

pid_t(* DSI::proto_open)(struct DSI *)

## ◆ read_count [1/2]

off_t DSI::read_count

## ◆ read_count [2/2]

size_t DSI::read_count

## ◆ savetimer

struct itimerval timer DSI::savetimer

## ◆ server_quantum

uint32_t DSI::server_quantum

## ◆ serverID

uint16_t DSI::serverID

## ◆ serversock

int DSI::serversock

listening socket

## ◆ sigblockset

sigset_t DSI::sigblockset

## ◆ signature

char* DSI::signature

## ◆ socket

int DSI::socket

AFP session socket

## ◆ start

char* DSI::start

current buffer head

## ◆ status [1/2]

char DSI::status[1400]

## ◆ status [2/2]

uint8_t* DSI::status

## ◆ statuslen

int DSI::statuslen

## ◆ tickle

int DSI::tickle

tickle count

## ◆ timer

struct itimerval DSI::timer

## ◆ write_count [1/2]

off_t DSI::write_count

## ◆ write_count [2/2]

size_t DSI::write_count

The documentation for this struct was generated from the following files:

- include/atalk/dsi.h
- test/testsuite/dsi.h